## ros-melodic-heron-msgs 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(heron_msgs)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  Course.msg
  Drive.msg
  Helm.msg
  Sense.msg
  Status.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS std_msgs message_runtime)

## ros-melodic-heron-msgs 0.3.3

=== debian/changelog ===
ros-melodic-heron-msgs (0.3.3-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-melodic-heron-msgs (0.3.2-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-melodic-heron-msgs (0.3.1-1stretch) stretch; urgency=high

  * Put in some missing dependencies and upgraded package.xml to format 2.0 (#5 <https://github.com/heron/heron/issues/5>)
  * Added heron_control, changed heron_description to use with uuv_simulator
  * Initial commit of new heron_description files
  * Contributors: Guy Stoppi, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-heron-msgs (0.3.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-heron-msgs (0.2.3-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-heron-msgs (0.2.2-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 03 Aug 2016 04:00:00 -0000

ros-melodic-heron-msgs (0.2.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 08 Jul 2016 04:00:00 -0000

ros-melodic-heron-msgs (0.2.0-1stretch) stretch; urgency=high

  * Changed Power message to Status.
  * Added Power message.
  * Updated URDF.
  * Heron rename.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 06 Jul 2016 04:00:00 -0000

ros-melodic-heron-msgs (0.1.0-1stretch) stretch; urgency=high

  * Adding a new Power message, to represent charge state info from MCU.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 02 Dec 2014 05:00:00 -0000

ros-melodic-heron-msgs (0.0.4-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Mar 2014 05:00:00 -0000

ros-melodic-heron-msgs (0.0.3-1stretch) stretch; urgency=high

  * Fix weird build bug by properly depending on message_runtime.
  * Remove commented-out service generation clause.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-melodic-heron-msgs (0.0.2-1stretch) stretch; urgency=high

  * Move kingfisher_msgs to subdirectory.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Oct 2013 04:00:00 -0000

ros-melodic-heron-msgs (0.0.1-1stretch) stretch; urgency=high

  * Add Course and Helm messages for higher level control.
  * Rename fields, improve message documentation.
  * Files from old heron repo.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-heron-msgs
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-heron-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Provides standard messages specific to Heron, especially for the microcontroller's rosserial interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-heron-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-heron-msgs 0.3.4

=== debian/changelog ===
ros-melodic-heron-msgs (0.3.4-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Feb 2021 05:00:00 -0000

ros-melodic-heron-msgs (0.3.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-melodic-heron-msgs (0.3.2-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-melodic-heron-msgs (0.3.1-1bionic) bionic; urgency=high

  * Put in some missing dependencies and upgraded package.xml to format 2.0 (#5 <https://github.com/heron/heron/issues/5>)
  * Added heron_control, changed heron_description to use with uuv_simulator
  * Initial commit of new heron_description files
  * Contributors: Guy Stoppi, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-heron-msgs (0.3.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-heron-msgs (0.2.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-heron-msgs (0.2.2-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 03 Aug 2016 04:00:00 -0000

ros-melodic-heron-msgs (0.2.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 08 Jul 2016 04:00:00 -0000

ros-melodic-heron-msgs (0.2.0-1bionic) bionic; urgency=high

  * Changed Power message to Status.
  * Added Power message.
  * Updated URDF.
  * Heron rename.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 06 Jul 2016 04:00:00 -0000

ros-melodic-heron-msgs (0.1.0-1bionic) bionic; urgency=high

  * Adding a new Power message, to represent charge state info from MCU.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 02 Dec 2014 05:00:00 -0000

ros-melodic-heron-msgs (0.0.4-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Mar 2014 05:00:00 -0000

ros-melodic-heron-msgs (0.0.3-1bionic) bionic; urgency=high

  * Fix weird build bug by properly depending on message_runtime.
  * Remove commented-out service generation clause.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-melodic-heron-msgs (0.0.2-1bionic) bionic; urgency=high

  * Move kingfisher_msgs to subdirectory.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Oct 2013 04:00:00 -0000

ros-melodic-heron-msgs (0.0.1-1bionic) bionic; urgency=high

  * Add Course and Helm messages for higher level control.
  * Rename fields, improve message documentation.
  * Files from old heron repo.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 Sep 2013 04:00:00 -0000
